#
# spec file for package pidgin-plugin-pack
#
# Copyright (c) 2007 Ivan N. Zlatev <contact@i-nz.net>
# Copyright (c) 2009 modified by Lukas Krejza <gryffus@hkfree.org>
# Copyright (c) 2011 modified by Christoph Miebach <christoph.miebach@web.de>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           purple-plugin-pack
Version:        2.7.0
Release:        12.2
# FIXME: if talkfilters enters Factory, uncomment BuildRequires (last checked: 2011-09-29)
# FIXME: on new upstream version, check if GPL-3.0+ plugins are still under the same license (add COPYING.gpl3 to the extras subpackage if present upstream)
License:        GPL-2.0+ and GPL-3.0+
Summary:        Compilation of plugins for the libpurple family of IM clients
Url:            https://www.guifications.org/projects/purple-plugin-pack/wiki
Group:          Productivity/Networking/Instant Messenger
Source0:        https://www.guifications.org/attachments/download/201/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE purple-plugin_pack-autoprofile-crash.patch christoph.miebach@web.de -- Prevent plugin (Autoprofile) from crashing if uptime is not run in english; see https://www.guifications.org/issues/653 (this patch is an alternative version)
Patch3:         purple-plugin_pack-autoprofile-crash.patch
# PATCH-FIX-UPSTREAM purple-plugin_pack-fix-warning.patch christoph.miebach@web.de -- Removing a typecast, which was causing a portability issue. Sent upstream by mail on 2011-09-29
Patch4:         purple-plugin_pack-fix-warning.patch
BuildRequires:  intltool
#BuildRequires:  talkfilters-devel
# We don't have xmms anymore
#BuildRequires:  xmms-devel >= 1.0.0
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(enchant)
BuildRequires:  pkgconfig(finch)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnt)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtkspell-2.0) >= 2.0.2
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pidgin)
BuildRequires:  pkgconfig(purple)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Purple Plugin Pack is a compilation of plugins for the libpurple
family of IM clients.

%package -n libpurple-plugin-pack
License:        GPL-2.0+
Summary:        Compilation of plugins for the libpurple family of IM clients
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple
Recommends:     %{name}-lang
Enhances:       libpurple
# Useful in general, but also to make the lang package installable
Provides:       %{name} = %{version}
Provides:       purple-plugin_pack = %{version}
Obsoletes:      purple-plugin_pack < %{version}

%description -n libpurple-plugin-pack
The Purple Plugin Pack is a compilation of plugins for the libpurple
family of IM clients.

To avoid license issues between GPL-3.0+ plugins and other plugins that
could be incompatible with GPL-3.0+, the GPL-3.0+ plugins are split
in the libpurple-plugin-pack-extras package.

%package -n libpurple-plugin-pack-extras
License:        GPL-3.0+
Summary:        Compilation of plugins for the libpurple family of IM clients -- GPL-3.0+ Plugins
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-pack = %{version}
Enhances:       libpurple-plugin-pack

%description -n libpurple-plugin-pack-extras
The Purple Plugin Pack is a compilation of plugins for the libpurple
family of IM clients.

This package contains GPL-3.0+ plugins. Their license might cause
incompatibilities with other plugins.

%package -n pidgin-plugin-pack
License:        GPL-2.0+
Summary:        Compilation of plugins for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-pack = %{version}
Requires:       pidgin
Supplements:    packageand(pidgin:libpurple-plugin-pack)
Enhances:       pidgin
Provides:       pidgin-plugin_pack = %{version}
Obsoletes:      pidgin-plugin_pack < %{version}

%description -n pidgin-plugin-pack
The Purple Plugin Pack is a compilation of plugins for the libpurple
family of IM clients.

This package provides the Pidgin plugins from the Purple Plugin Pack.

To avoid license issues between GPL-3.0+ plugins and other plugins that
could be incompatible with GPL-3.0+, the GPL-3.0+ plugins are split
in the pidgin-plugin-pack-extras package.

%package -n pidgin-plugin-pack-extras
License:        GPL-3.0+
Summary:        Compilation of plugins for Pidgin -- GPL-3.0+ Plugins
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-pack-extras = %{version}
Requires:       pidgin-plugin-pack = %{version}
Supplements:    packageand(pidgin:libpurple-plugin-pack-extras)
Enhances:       pidgin-plugin-pack

%description -n pidgin-plugin-pack-extras
The Purple Plugin Pack is a compilation of plugins for the libpurple
family of IM clients.

This package provides the Pidgin plugins from the Purple Plugin Pack.

This package contains GPL-3.0+ plugins. Their license might cause
incompatibilities with other plugins.

%lang_package
%prep
%setup -q
%patch3 -p1
%patch4 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang plugin_pack

%files -n libpurple-plugin-pack
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
# Explicitly list plugins, so we can notice when we miss one and to ease split with extras
%{_libdir}/purple-2/autoprofile.so
%{_libdir}/purple-2/autoreply.so
%{_libdir}/purple-2/bash.so
%{_libdir}/purple-2/capsnot.so
%{_libdir}/purple-2/colorize.so
%{_libdir}/purple-2/dewysiwygification.so
%{_libdir}/purple-2/dice.so
%{_libdir}/purple-2/eight_ball.so
%{_libdir}/purple-2/findip.so
%{_libdir}/purple-2/flip.so
%{_libdir}/purple-2/google.so
%{_libdir}/purple-2/groupmsg.so
%{_libdir}/purple-2/highlight.so
%{_libdir}/purple-2/ignore.so
%{_libdir}/purple-2/irchelper.so
%{_libdir}/purple-2/irc-more.so
%{_libdir}/purple-2/libsnpp.so
%{_libdir}/purple-2/listhandler.so
%{_libdir}/purple-2/napster.so
%{_libdir}/purple-2/oldlogger.so
%{_libdir}/purple-2/showoffline.so
%{_libdir}/purple-2/simfix.so
%{_libdir}/purple-2/slashexec.so
%{_libdir}/purple-2/splitter.so
%{_libdir}/purple-2/sslinfo.so
%{_libdir}/purple-2/translate.so
%{_libdir}/purple-2/xmppprio.so

%files -n libpurple-plugin-pack-extras
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%{_libdir}/purple-2/ning.so
%{_libdir}/purple-2/okcupid.so
%{_libdir}/purple-2/omegle.so

%files -n pidgin-plugin-pack
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
# Explicitly list plugins, so we can notice when we miss one and to ease split with extras
%{_libdir}/pidgin/album.so
%{_libdir}/pidgin/blistops.so
%{_libdir}/pidgin/convbadger.so
%{_libdir}/pidgin/difftopic.so
%{_libdir}/pidgin/enhancedhist.so
%{_libdir}/pidgin/gRIM.so
%{_libdir}/pidgin/icon_override.so
%{_libdir}/pidgin/infopane.so
%{_libdir}/pidgin/irssi.so
%{_libdir}/pidgin/lastseen.so
%{_libdir}/pidgin/listlog.so
%{_libdir}/pidgin/mystatusbox.so
%{_libdir}/pidgin/nicksaid.so
%{_libdir}/pidgin/pidgin-schedule.so
%{_libdir}/pidgin/plonkers.so
%{_libdir}/pidgin/sepandtab.so
%{_libdir}/pidgin/switchspell.so
%{_libdir}/pidgin/timelog.so
%{_libdir}/pidgin/xchat-chats.so
%{_datadir}/pixmaps/pidgin/protocols/*/napster.png

%files -n pidgin-plugin-pack-extras
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%{_datadir}/pixmaps/pidgin/protocols/*/okcupid.png

%files lang -f plugin_pack.lang

%changelog
* Thu Jan 19 2012 vuntz@opensuse.org
- Add pkgconfig(json-glib-1.0) BuildRequires to build new Ning,
  OkCupid and Omegle protocol plugins.
- Create extras subpackages:
  + The main reason is to mitigate the risk of license
    incompatibilities between GPL-3.0+ plugins and other plugins
    that could be non-GPL-3.0-compatible.
  + Move the GPL-3.0+ plugins to extras subpackages.
  + Clearly document in summaries and descriptions why we have
    extras subpackages.
  + This should fix bnc#741195.
* Sat Dec  3 2011 christoph.miebach@web.de
- Version update to 2.7.0
  + Added German translation
  + Added capsnot plugin
  + Added icon-override plugin
  + Added translate plugin
  + Added Ning protocol plugin
  + Added OkCupid protocol plugin
  + Added Omegle protocol plugin
  + Fix a use-after-free in IRC Helper.
  + IRC Helper delays autojoins until after identifying with Purple
    2.7.0 or newer.
  + Support new Freenode IDENTIFY syntax in IRC Helper so users can
    log into services even when using an alternate or new nick.
  + IRC Helper now properly supports and suppresses new Freenode
    welcome and identified messages.
  + Updated website string to reflect project move from Trac to
    Redmine
  + Changed package name from purple-plugin_pack to
    purple-plugin-pack.
  + The Album plugin should no longer crash on non-buddies.
- Renamed source package from purple-plugin_pack to
  purple-plugin-pack, following upstream change. This also results
  in:
  + purple-plugin_pack Provides/Obsoletes in libpurple-plugin-pack
    (see below for why it's purple-plugin_pack
  + pidgin-plugin_pack Provides/Obsoletes in pidgin-plugin-pack.
- Drop purple-plugin_pack-de-l10n.patch.bz2 and
  purple-plugin_pack-fix-localedir.patch: fixed upstream.
- Remove call to autoreconf that was only needed for patches above.
- Properly package libpurple plugins in libpurple-plugin-pack
  instead of purple-plugin-pack.
* Thu Sep 29 2011 vuntz@opensuse.org
- Cleanup for inclusion in Factory.
* Mon Aug  1 2011 christoph.miebach@web.de
- Version update to 2.6.3
  + Add support for Spidernet to IRC Helper plugin.
  + IRC Helper now supports suppressing messages from the Freenode
    bot frigg.
  + IRC-More now builds when you pass --with-plugins=irc-more to
    configure.
  + IRC-More no longer tries to set umodes on connect if none are
    specified.
  + IRC-More now provides a channel autojoin list.  Autojoins
    happen with a 6-second delay to allow IRC Helper to do its job
    first.
- Added german translation not available at buildtime of 2.6.3
- Patch to find and use the translations
- Patch preventing crash in Autoprofile not run in english
- Patch fixing portability issue
* Fri Feb 13 2009 Lukas Krejza <gryffus@hkfree.org> 2.5.1
- Disabled xmmsremote plugin
* Wed Feb 11 2009 Lukas Krejza <gryffus@hkfree.org> 2.5.1
- Version upgrade to 2.5.1
- Added debuginfo and debugsource packages
- Fixes in .spec
* Mon Dec 29 2008 Ivan N. Zlatev <contact@i-nz.net>
- Fixes for openSUSE 11.1
* Fri Aug 24 2007 05:33:30 EDT - michel.sylvan@gmail.com
- Add missing BRs on libxml2-devel and NetworkManager-devel
* Thu Aug 23 2007 20:14:30 EDT - michel.sylvan@gmail.com
- Update to 2.1.1, rename to purple-plugin_pack
- Move changelog to .changes file
* Sun May  6 2007 Ivan N. Zlatev <contact@i-nz.net>
- new package
